Get a custom field definition
GET
/api/v3/contacts/custom-fields/{fieldId}
const url = 'https://api.tryletterhead.com/api/v3/contacts/custom-fields/1?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/custom-fields/1?api=true' \ --header 'Authorization: Bearer <token>'Returns a single custom field definition by its id — its name and value type. To see a contact’s value for a custom field, read the contact’s customFields object with Get a contact.
This is a company-level (v3) read. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” fieldId
required
integer
The field’s numeric identifier, from List custom field definitions.
Query Parameters
Section titled “Query Parameters ” api
required
boolean
Required. Set to true.
Responses
Section titled “ Responses ”200 OK
Media type application/json
object
items
object
id
integer
name
string
label
string
type
string
required
boolean
sortOrder
integer
createdAt
string
updatedAt
string
source
string
message
string
total
integer
Example generated
{ "items": { "id": 1, "name": "example", "label": "example", "type": "example", "required": true, "sortOrder": 1, "createdAt": "example", "updatedAt": "example", "source": "example" }, "message": "example", "total": 1}Still can’t find what you need? Contact support.